<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sss_tables', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('compensation_from', 50);
            $table->string('compensation_to', 50);
            $table->string('ec', 50);
            $table->string('monthly_salary_wisp', 50);
            $table->string('regular_ss_er', 50);
            $table->string('regular_ss_ee', 50);
            $table->string('ec_er', 50);
            $table->string('ec_ee', 50);
            $table->string('wisp_er', 50);
            $table->string('wisp_ee', 50);
            $table->string('total_er', 50);
            $table->string('total_ee', 50);
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sss_tables');
    }
};
